Bug 732540 - no error message to indicate if one errata install fails when trying to install multiple errata on a client.
Summary: no error message to indicate if one errata install fails when trying to insta...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 27
Assignee: Jeff Ortel
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 20:24 UTC by Preethi Thomas
Modified: 2012-02-24 20:19 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:14:55 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-22 20:24:20 UTC
Description of problem:

If you install multiple erratum on a client and one of the erratum fails,  there is no message to indicate that one of erratum failed
It just indicates the ones that are succeeded


[root@preethi ~]# pulp-admin -u admin -p admin errata install --consumergroupid=grp1 -e FEDORA-2011-0530 -e test
Created job id: 41f3827e-53cd-44a9-9f3f-72749a2fad50
Waiting: [\] 
Install Summary:
	[ FINISHED ] peethi; packages installed: []
	[ FINISHED ] pulp-client; packages installed: ['pciutils-libs-3.1.7-3.fc14.x86_64', 'pciutils-libs-3.1.7-1.fc14.x86_64']



Version-Release number of selected component (if applicable):
[root@preethi ~]# rpm -q pulp
pulp-0.0.226-1.fc14.noarch

Comment 1 Jeff Ortel 2011-08-25 18:07:24 UTC
Added erratum ID validation.

Eg: "test" is not a valid erratum ID.
------------------------------------------------

[jortel@localhost pulp]$ pulp-admin errata install install -e RHEA-2010:9999 -e test --consumergroup=jortel

The following consumers appear to be unavailable.
You may continue with the understanding that your request
will not complete until all consumers have processed the request
or the request has timed out.

Unavailable Consumers
------------------------------
atlantis

Continue? [y/n]:y

Wait? [y/n]:y
error: operation failed: Exception: Erratum [test], not found

Comment 2 Jeff Ortel 2011-08-26 20:09:34 UTC
build: 0.228

Comment 3 Preethi Thomas 2011-08-31 14:21:11 UTC
Looks like this is fails_qa on a consumer

[root@preethi ~]# rpm -q pulp
pulp-0.0.228-1.fc15.noarch


[root@preethi ~]# pulp-admin -u admin -p admin errata install -e FEDORA-2011-8681 -e test --consumerid=pulp-client 
Created task id: cfd5a05c-d3db-11e0-b249-002564a85a58
Waiting: [\] 
Errata applied to [pulp-client]; packages installed: [u'xsane-common-0.998-4.fc14.x86_64', u'xsane-gimp-0.998-4.fc14.x86_64', u'xsane-common-0.998-3.fc14.x86_64', u'xsane-gimp-0.998-3.fc14.x86_64']

[root@preethi ~]# pulp-admin -u admin -p admin errata install  -e test --consumerid=pulp-client 
error: operation failed: Errata ['test'] you requested are not applicable for your system

Comment 4 Jeff Ortel 2011-08-31 20:07:02 UTC
Fix applied to errata install on --consumerid as well.

Comment 5 Jeff Ortel 2011-09-02 19:18:14 UTC
build: 0.230

Comment 6 Preethi Thomas 2011-09-07 14:56:21 UTC
verified

[root@preethi ~]# pulp-admin -u admin -p admin errata install -e test --consumerid=pulp-client
error: operation failed: Exception: Erratum [test], not found
[root@preethi ~]#

Comment 7 Preethi Thomas 2012-02-24 20:14:55 UTC
Pulp v1.0 is released
Closed Current Release.

Comment 8 Preethi Thomas 2012-02-24 20:19:47 UTC
Pulp v1.0 is released.


Note You need to log in before you can comment on or make changes to this bug.